Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1382044 - Cannot disable journaling or remove non-mirrored, "non-primary" image
Summary: Cannot disable journaling or remove non-mirrored, "non-primary" image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RBD
Version: 2.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 2.1
Assignee: Jason Dillaman
QA Contact: Rachana Patel
URL:
Whiteboard:
Depends On:
Blocks: 1365648
TreeView+ depends on / blocked
 
Reported: 2016-10-05 15:02 UTC by Jason Dillaman
Modified: 2017-07-30 15:34 UTC (History)
4 users (show)

Fixed In Version: RHEL: ceph-10.2.3-5.el7cp Ubuntu: ceph_10.2.3-6redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-22 19:32:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 16740 None None None 2016-10-05 15:03:16 UTC
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Description Jason Dillaman 2016-10-05 15:02:24 UTC
Description of problem:
Use rbd-mirror to create a non-primary image. If the 'rbd_mirroring' object is removed, this image will now be treated as if mirroring is disabled. However, no actions can be taken because the journal flags it as a non-primary image. librbd needs to recover from this situation by also ensuring that mirroring is enabled against the image before determining that it is non-primary.


Version-Release number of selected component (if applicable):
10.2.x

How reproducible:
100%

Comment 1 Jason Dillaman 2016-10-05 15:02:51 UTC
Upstream, master branch PR: https://github.com/ceph/ceph/pull/10712

Comment 7 errata-xmlrpc 2016-11-22 19:32:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.